import math

def C_n_minus(StandardDeviation):
    return 2.2662*math.pow(StandardDeviation,2) - 2.1899*StandardDeviation + 0.4863
 
def C_n_plus(StandardDeviation):
    return 2.214*math.pow(StandardDeviation,2) - 2.1799*StandardDeviation + 0.4861

def C_n(StandardDeviation):
    return 2.1619*math.pow(StandardDeviation,2) - 2.1431*StandardDeviation + 0.4866

def CreamerVonMises(StandardDeviation):
    return 912.54*math.pow(StandardDeviation,2) - 550.32*StandardDeviation + 82.977

def Cressie2(StandardDeviation):
    #return -3E+07*math.pow(StandardDeviation,3) + 2E+07*math.pow(StandardDeviation,2) - 6E+06*StandardDeviation + 503133
    return 569048*math.exp(-16.13*StandardDeviation)

def D_n_minus(StandardDeviation):
    return 2.2127*math.pow(StandardDeviation,2) - 2.1802*StandardDeviation + 0.4871

def D_n_plus(StandardDeviation):   
    return 2.2648*math.pow(StandardDeviation,2) - 2.1902*StandardDeviation + 0.4873

def Greenwood(StandardDeviation):
    return -52.351*math.pow(StandardDeviation,3) + 33.843*math.pow(StandardDeviation,2) - 7.2088*StandardDeviation + 0.5087

def HegazyGreen_T_1(StandardDeviation):
    return -0.2665*math.pow(StandardDeviation,2) - 0.7551*StandardDeviation + 0.2491
   
def HegazyGreen_T_2(StandardDeviation):
    return 0.9125*math.pow(StandardDeviation,2) - 0.5509*StandardDeviation + 0.0831

def K_n(StandardDeviation):
    return 4.4802*math.pow(StandardDeviation,2) - 4.3698*StandardDeviation + 0.9724

def Pardo(StandardDeviation):
    return 0.3241*math.pow(StandardDeviation,-1.014)

def QuesenBerryMiller(StandardDeviation):
    return -44.946*math.pow(StandardDeviation,3) + 30.612*math.pow(StandardDeviation,2) - 6.8491*StandardDeviation + 0.508

def Swartz(StandardDeviation):
    return -22015*math.pow(StandardDeviation,3) + 15305*math.pow(StandardDeviation,2) - 3454.2*StandardDeviation + 254.07

def T_1(StandardDeviation):
    return -0.8204*StandardDeviation + 0.2513

def T_2(StandardDeviation):
    return 0.9126*math.pow(StandardDeviation,2) - 0.5498*StandardDeviation + 0.0828

def V_n(StandardDeviation):
    return 4.4775*math.pow(StandardDeviation,2) - 4.3704*StandardDeviation + 0.9744

def WatsonsU_2(StandardDeviation):
    return 912.05*math.pow(StandardDeviation,2) - 550.42*StandardDeviation + 82.98