# Input: A list of numeric values
# Process: Normalises the sample to be in the range 0 to 1
# Output: A list of numeric values, which is the normalised sample.
def normalise(sample):
    NormalisedSample = []
    for Element in sample:
        if (float(max(sample))-float(min(sample))) != 0:
            NormalisedSample.append((float(Element)-float(min(sample)))/(float(max(sample))-float(min(sample))))
        else: 
            NormalisedSample.append(0.0)   
    return NormalisedSample




