import ProcessRawData.Oracles.PostProcessing.compareActualOutputsAgainstPredictedOutputs.common as common
import os

class common_statistics(common.compareActualOutputsAgainstPredictedOutputs):
    
    def _save_Results(self, Experiment_Folder_Name, Results, SignificanceThreshold_ForPValue):
        
        # Write here        
        compareActualOutputsAgainstPredictedOutputs_Directory = (__file__[:__file__.rfind("\\")])
        PostProcessing_Directory = (compareActualOutputsAgainstPredictedOutputs_Directory[:compareActualOutputsAgainstPredictedOutputs_Directory.rfind("\\")])
        Oracles_Directory = (PostProcessing_Directory[:PostProcessing_Directory.rfind("\\")])
        ProcessRawData_Directory = (Oracles_Directory[:Oracles_Directory.rfind("\\")])
        Root_Directory = (ProcessRawData_Directory[:ProcessRawData_Directory.rfind("\\")])
        Experimental_Results_Directory = Root_Directory + "\\Experimental_Results"
        SuppliedDirectory = (Experimental_Results_Directory+"\\"+Experiment_Folder_Name)
        FileName = SuppliedDirectory + "\\" + self.get_PostProcessor_Name() + ".txt"
        
        if os.path.exists(FileName):
            raise Exception(FileName + " already exists")
        
        Table = "Mutant" + "\t" + "Statistic" + "\t" + "PValue" + "\t" + "Significant at " + str(SignificanceThreshold_ForPValue) + "\n"
        for Mutant in list(Results.keys()):
            Statistic = Results[Mutant].split("\t")[0].strip()
            Statistic = (Statistic[Statistic.find("=")+1:])
            PValue = Results[Mutant].split("\t")[1].strip()
            PValue = (PValue[PValue.find("=")+1:])
            Significant = str(float(PValue) <= SignificanceThreshold_ForPValue)
            Table = Table + Mutant + "\t" + Statistic + "\t" + PValue + "\t" + Significant + "\n"
        
        FileObject = None
        try:
            FileObject = open(FileName, "w+")
            FileObject.write(Table)
        except:
            raise Exception("Could not write " + FileName)
        finally:
            if FileObject != None:
                FileObject.close()
        
        
        