import TestSuites.Common.Numbers.Integers as Integers

# Input: - Min_String_Size, Max_String_Size: These integers determine the length of the random string that is produced by this method
#        -  Include_Upper_Case_Letters, Include_Lower_Case_Letters, Include_Numbers: These booleans determine what characters are allowed in the string
# Process: Generates a random string that contains between Min_String_Size and Max_String_Size number of characters, that may contain upper case and/or lower case letters
#          and/or numbers
# Output: The aforementioned randomly generated string
def generate_Random_String(Min_String_Size,Max_String_Size,Include_Upper_Case_Letters,Include_Lower_Case_Letters,Include_Numbers):
    
    # Choose size of string
    String_Size = Integers.generate_Random_Integer(Min_String_Size, Max_String_Size)    
    
    # Choose characters that could be included in the string
    UpperCase = ["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"]
    LowerCase = ["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"]
    Numbers = ["0","1","2","3","4","5","6","7","8","9"]
    
    Characters = []
    if Include_Upper_Case_Letters:
        Characters = Characters + UpperCase
    if Include_Lower_Case_Letters:
        Characters = Characters + LowerCase
    if Include_Numbers:
        Characters = Characters + Numbers
    
    # Generate a random string that contains String_Size number of charaters, from Characters
    Random_String = ""
    for _ in range(String_Size):
        Random_String = Random_String + Characters[Integers.generate_Random_Integer(0,len(Characters)-1)]
        
    return Random_String








